WyrdOS
Open App

Actions

API endpoints for actions

List actions

GET /api/v1/actions

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
zoneIdquerystringNo
containerIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/actions?organisationId=<organisationId>&zoneId=<zoneId>&containerId=<containerId>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "name": "Launch readiness",
      "description": "Track onboarding work for the beta launch.",
      "zoneId": "zone_launch_readiness",
      "doDate": 1782828000000,
      "dueDate": 1782828000000,
      "userId": "item_abc123",
      "organisationId": "org_abc123",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ],
  "nextCursor": "Launch readiness"
}

Other statuses: 401.

Response body type

{ data: Action[]; nextCursor: string }


Create action

POST /api/v1/actions

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/actions" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","zoneId":"zone_launch_readiness","description":"Track onboarding work for the beta launch.","doDate":1782828000000,"dueDate":1782828000000,"organisationId":"org_abc123","typeIds":["type_strategy"],"categoryIds":["category_docs"]}'

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "description": "Track onboarding work for the beta launch.",
    "zoneId": "zone_launch_readiness",
    "doDate": 1782828000000,
    "dueDate": 1782828000000,
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 400, 401.

Response body type

{ data: Action }


Get action by id

GET /api/v1/actions/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/actions/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "description": "Track onboarding work for the beta launch.",
    "zoneId": "zone_launch_readiness",
    "doDate": 1782828000000,
    "dueDate": 1782828000000,
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 401, 404.

Response body type

{ data: Action }


Update action

PATCH /api/v1/actions/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/actions/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","description":"Track onboarding work for the beta launch.","doDate":1782828000000,"dueDate":1782828000000,"zoneId":"zone_launch_readiness","typeIds":["type_strategy"],"categoryIds":["category_docs"]}'

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "description": "Track onboarding work for the beta launch.",
    "zoneId": "zone_launch_readiness",
    "doDate": 1782828000000,
    "dueDate": 1782828000000,
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Action }


Delete action

DELETE /api/v1/actions/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/actions/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403, 404.

Response body type